package de.ivu.elect.business.stimmzettel.control;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.jee.faces.Messages;

@Specializes
public class WasWesUnterstuetzungWahlParameterInit extends WesUnterstuetzungWahlParameterInit {
  @Inject
  private transient Messages messages;

  @Override
  protected String getDefaultAblehnungGruende(Wahl wahl) {
    return messages.getMessageForMessageKey("stimmzettel.initiale.ablehnungsgruende.fuer.wes");
  }

  @Override
  protected String getDefaultGueltigGruende(Wahl wahl) {
    return messages.getMessageForMessageKey("stimmzettel.initiale.gueltiggruende.fuer.wes");
  }
}
